Skip to main content
`Ctrl`+`K`

# TSPreStage

Runs the user-defined pre-stage function set using `TSSetPreStage()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPreStage(TS ts, PetscReal stagetime)

Collective

## Input Parameters

- ts - The `TS` context obtained from `TSCreate()`

- stagetime - The absolute time of the current stage

## Note

`TSPreStage()` is typically used within time stepping implementations, most users would not generally call this routine themselves.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSPostStage()`, `TSSetPreStep()`, `TSPreStep()`, `TSPostStep()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages